=== debian/changelog ===
fs-uae-arcade (3.1.63-2) unstable; urgency=medium

  * Update Standards-Version to 4.6.0 in debian/control
  * Update upstream tarball source URL in debian/watch

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 29 Jan 2022 12:34:24 +0100

fs-uae-arcade (3.1.63-1) unstable; urgency=medium

  * Initial release (Closes: #996768)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 17 Jan 2022 11:31:39 +0100
