=== debian/control ===
Source: fs-uae-arcade
Section: otherosfs
Priority: optional
Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.6.0
Homepage: http://fs-uae.net
Vcs-Browser: https://salsa.debian.org/debian/fs-uae-arcade
Vcs-Git: https://salsa.debian.org/debian/fs-uae-arcade.git

Package: fs-uae-arcade
Architecture: all
Depends: fs-uae,
         python3-opengl,
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Recommends: fs-uae-launcher, python-lhafile
Description: Full-screen game browser for FS-UAE
 FS-UAE is a cross-platform Amiga emulator based on updated emulation code
 from WinUAE. FS-UAE uses SDL for input, OpenAL for audio and OpenGL
 for graphics.
 .
 This package contains FS-UAE Arcade, a fullscreen game browser
 for couch potatoes.
