=== debian/watch ===
version=4
opts=dversionmangle=s/\.dfsg// \
https://fs-uae.net/files/FS-UAE-Arcade/Stable/(\d\S+)/fs-uae-arcade-(\d\S+)\.tar\.xz
