## fs-uae-arcade 3.1.63.0

=== Makefile ===
--- 
+++ 
@@ -125,7 +125,6 @@
 	find $(dist_dir) -name __pycache__ -delete
 
 	cp COPYING $(dist_dir)/
-	cp ChangeLog $(dist_dir)/
 	cp Makefile $(dist_dir)/
 	cp README $(dist_dir)/
 	cp VERSION.FS $(dist_dir)/
